package com.bocloud.cmp.model.jumpserver;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class SysType {
    private Long id;
    private String name;
    @JSONField(name = "privAccount")
    private String privateAccount;
    private String pwHandler;
    private String charset;
    private Integer srcType;
    private DevTypeGroupModel devTypeGroupModel;
    private Boolean enable;
    @JSONField(name = "serviceConfs")
    private List<ServiceConfig> serviceConfigs;
    private String inspType;
    private String icon;
    private String[] serviceGui;
    private String[] client;
    private String[] serviceTerm;
    private String[] serviceFile;
    private String group; //Application, Database,Main Frame,Network
    private DevTypeGroupModel sysTypeGroup;

    public SysType(Long id) {
        this.id = id;
    }

    public SysType(String name) {
        this.name = name;
    }

    public SysType() {
    }

    public SysType(Long id, String name) {
        this.id = id;
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPrivateAccount() {
        return privateAccount;
    }

    public void setPrivateAccount(String privateAccount) {
        this.privateAccount = privateAccount;
    }

    public String getPwHandler() {
        return pwHandler;
    }

    public void setPwHandler(String pwHandler) {
        this.pwHandler = pwHandler;
    }

    public String getCharset() {
        return charset;
    }

    public void setCharset(String charset) {
        this.charset = charset;
    }

    public Integer getSrcType() {
        return srcType;
    }

    public void setSrcType(Integer srcType) {
        this.srcType = srcType;
    }

    public DevTypeGroupModel getDevTypeGroupModel() {
        return devTypeGroupModel;
    }

    public void setDevTypeGroupModel(DevTypeGroupModel devTypeGroupModel) {
        this.devTypeGroupModel = devTypeGroupModel;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public List<ServiceConfig> getServiceConfigs() {
        return serviceConfigs;
    }

    public void setServiceConfigs(List<ServiceConfig> serviceConfigs) {
        this.serviceConfigs = serviceConfigs;
    }

    public String getInspType() {
        return inspType;
    }

    public void setInspType(String inspType) {
        this.inspType = inspType;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String[] getServiceGui() {
        return serviceGui;
    }

    public void setServiceGui(String[] serviceGui) {
        this.serviceGui = serviceGui;
    }

    public String[] getClient() {
        return client;
    }

    public void setClient(String[] client) {
        this.client = client;
    }

    public String[] getServiceTerm() {
        return serviceTerm;
    }

    public void setServiceTerm(String[] serviceTerm) {
        this.serviceTerm = serviceTerm;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public DevTypeGroupModel getSysTypeGroup() {
        return sysTypeGroup;
    }

    public void setSysTypeGroup(DevTypeGroupModel sysTypeGroup) {
        this.sysTypeGroup = sysTypeGroup;
    }

    public String[] getServiceFile() {
        return serviceFile;
    }

    public void setServiceFile(String[] serviceFile) {
        this.serviceFile = serviceFile;
    }
}
